Plank.DockItem.get_surface – plank Reference Manual

# get_surface

## Description:

public Surface get_surface (int width, int height, Surface model)

Returns the surface for this item.

It might trigger an internal redraw if the requested size isn't cached yet.

## Parameters:

width | width of the icon surface
height | height of the icon surface
model | existing surface to use as basis of new surface

## Returns:

the surface for this item which may not be changed